#!/system/bin/sh
#script by zaidannn7, tytydraco, project ktweak.






















sleep 5















# write /dev/stune/top-app/schedtune.boost 27
write() {
	# Bail out if file does not exist
	[[ ! -f "$1" ]] && return 1
	
	# Make file writable in case it is not already
	chmod +w "$1" 2> /dev/null

	# Write the new value and bail if there's an error
	if ! echo "$2" > "$1" 2> /dev/null
	then
		echo "Failed: $1 → $2"
		return 1
	fi
}

# Sync execute
sync
 
# Change the value Schedtune.boost to get smoothness UI/UX and responsiveness touch
write /dev/stune/schedtune.boost 7
write /dev/stune/schedtune.preferidle 1

# Lower Schedtune on background as it will consume quite a lot of power.
write /dev/stune/background/schedtune.boost 2
write /dev/stune/background/schedtune.preferidle 1

# Slightly increase the number for Schedtune on Foreground appa to get a better experience.
write /dev/stune/foreground/schedtune.boost 8
write /dev/stune/foreground/schedtune.preferidle 0
 
# Top-app is an app that is used frequently, so increasing the number will get more performance.
write /dev/stune/top-app/schedtune.boost 25
write /dev/stune/top-app/schedtune.preferidle 0

exit 0